#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab --output	lib/Doctrine/Inflector/autoload.php \
			lib/Doctrine
	mkdir --parents vendor
	phpabtpl \
		--require-file ../lib/Doctrine/Inflector/autoload.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --bootstrap vendor/autoload.php

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog
